Vue.component('maker-rulers', {
	template: '<canvas ref="canvas" class="111"></canvas>',
	name: 'maker_rulers',
	props: ['page','warp'],
	data: function() {return {canvas:null};},
	watch:{
		'page.width':function(ov,nv){this.reload();},
		'page.height':function(ov,nv){this.reload();},
		'warp.width':function(ov,nv){this.reload();},
		'warp.height':function(ov,nv){this.reload();},
		'warp.scale':function(ov,nv){this.reload();},
		'warp.left':function(ov,nv){this.reload();},
		'warp.top':function(ov,nv){this.reload();},
	},
	methods: {
		reload:function(){

			var ctx = this.canvas.getContext("2d");
			var warp = this.warp;

			this.canvas.width = warp.outerW;
			this.canvas.height = warp.outerH;

			// 清画布
			ctx.clearRect(0,0,this.canvas.width,this.canvas.height);

			// 画白色背景
			ctx.fillStyle = '#ffffff';
			ctx.fillRect(warp.left,warp.top, warp.width,warp.height);
		}
	},
	mounted:function(){
		this.canvas = this.$refs.canvas;
		this.reload();
	}

});