Vue.use(function(Vue, options) {

	var client = null;
	var config = {};

	Vue.prototype.$aliyunUploadClient = function(callback){

		if(client){
			callback && callback.call(this,client);
		}else{
			this.$ajax('upload_oss',{type: 'video'},function(response){

				var json = response || {};
				var data = json.data || {};

				filePath = data.filePath || '';

				if(json.code ==200){

					// filePath = 'user/';
					// var name = filePath + filename
					config = data;
					client = new OSS.Wrapper({
						accessKeyId: config.accessKeyId,
						accessKeySecret: config.accessKeySecret,
						stsToken: config.stsToken,
						region: config.region,
						bucket: config.bucket, // 填写Bucket名称。
						secure: true,

						// region: 'oss-cn-shenzhen',
						// endpoint: 'http://cn-shenzhen.aliyuncs.com'
					});



					// client = new OSS({
	    // 				// yourRegion填写Bucket所在地域。以华东1（杭州）为例，Region填写为oss-cn-hangzhou。
					// 	// region: data.region,
					// 	// 从STS服务获取的临时访问凭证。临时访问凭证包括临时访问密钥（AccessKeyId和AccessKeySecret）和安全令牌（SecurityToken）。
					// 	accessKeyId: data.accessKeyId,
					// 	accessKeySecret: data.accessKeySecret,
					// 	stsToken: data.stsToken,
					// 	bucket: data.bucket, // 填写Bucket名称。
					// 	secure:true,
					// 	endpoint: 'http://cn-shenzhen.aliyuncs.com'
					// 	// endpoint: 'http://oss-cn-shenzhen.aliyuncs.com'
					// });

					callback && callback.call(this,client);

				}else{
					callback && callback.call(this,null);
				}

			});
		}

	}


	// 视频上传
	Vue.prototype.$aliyunUploadVideo = function(option,callback) {

		// type: 'video',
		// file: option.file, 
		// width: option.width,
		// height: option.height,
		// name: option.file.name,

		var that = this;
		var local = JSON.parse(localStorage.getItem('config') || '{}');
		var uid = (local.user || {}).uid || '0';
		var time = new Date().getTime();
		var filetype = ((option.file || {}).type || '').replace(/^[\w\W]*\//,'');
		var filename = parseInt(time / 1000) + '.' + filetype;

		this.$aliyunUploadClient(function(client){
			if(client){

				var name = (config.filePath || '') + filename;

				// 第二种方式，分片上传
				client.multipartUpload(name, option.file, {
					parallel: 2,
					progress: function*(percent, cpt) {
						callback && callback.call(that,{code:100,percent:Math.floor(percent * 100),msg:'正在上传'});
					}
				}).then(function(result) {
					// 成功
					var data = {
						middleUrl: '/'+name,
						middleWidth: option.width,
						middleHeight: option.height,
						originUrl: '/'+name,
						originWidth: option.width,
						originHeight: option.height,
					}

					callback && callback.call(that,{code:200,msg:'上传成功',data:data});
				}).catch(function(err) {
					// 失败
					callback && callback.call(that,{code:400,msg:'上传失败'});
				});

			}else{
				callback && callback.call(that,{code:400,msg:'获取签名失败'});
			}
		})

	}

});
