Vue.component('yunscreen-timer', {
    template:
        '<div class="screen-timer">' +
        '<em v-text="program ? program.startTime : \'\'" @click="doClick()"></em>' +
        '</div>',
    props: {
        program: { type: Object, default: null },
        detail: { type: Object, default: null },
    },
    data: function () {
        return {
            picker: {
                action: '', // 选择完时间要处理的事件
                visiable: false, // 是否弹出选择时间框
                time: '12:00', // 时间显示
            },
        }
    },
    methods: {
        doClick: function () {
            this.$emit('select', this.program)
        },
        // 重新设置时间
        resetProgramTime: function () {
            this.picker.time = this.program.startTime
            this.picker.action = 'update'
            this.picker.visiable = true
        },

        // 选择完时间
        pickerHandle: function (confirm) {
            this.picker.visiable = false
            this.$emit('change', {
                id: this.program.id,
                programId: this.program.programId,
                startTime: this.picker.time,
                remark: 'update',
            })
        },
    },
    created: function () {},
})
