Vue.component('maker-holder', {
	template: '<div class="maker_holder" ref="holder">' +
		'<cite :style="position">' +
			'<span type="border"></span>' +
			'<span type="body"></span>' +
			'<span type="rotate"></span>' +
			'<span type="left_top"></span>' +
			'<span type="center_top"></span>' +
			'<span type="right_top"></span>' +
			'<span type="left_middle"></span>' +
			'<span type="right_middle"></span>' +
			'<span type="left_bottom"></span>' +
			'<span type="center_bottom"></span>' +
			'<span type="right_bottom"></span>' +
		'</cite>' +
	'</div>',
	name: 'maker_holder',
	props: {
		warp: {type: Object,required: true},
		page: {type: Object,required: true},
		select: {type: Object,required: true},
	},
	data: function() {
		return {
			mouse:null,
			timer:0,
		};
	},
	computed:{
		position:function(){
			return {
				left: this.warp.left + this.select.x * this.warp.width + 'px',
				top: this.warp.top + this.select.y * this.warp.height + 'px',
				width: this.select.w * this.warp.width + 'px',
				height: this.select.h * this.warp.height + 'px',
				transform: 'rotate('+this.select.rotate+'deg)',
			}
		},
	},	
});