//支付服务url
var PAYSERVER = 'http://www.51zhaocaitu.com/pay/order'; 

var pays={};
function payReady(){
	// 获取支付通道
	plus.payment.getChannels(function(channels){
		for(var i in channels){
			var channel=channels[i];
			if(channel.id=='qhpay'||channel.id=='qihoo'){	// 过滤掉不支持的支付通道：暂不支持360相关支付
				continue;
			}
			pays[channel.id]=channel;
			//打印支付通道信息
			txt = "支付通道信息：";
			txt += 'id:'+channel.id+', ';
			txt += 'description:'+channel.description+', ';
			txt += 'serviceReady:'+channel.serviceReady+'； ';
			console.log(txt);
			
			checkServices(channel);
		}
	},function(e){
		console.log('获取支付通道失败：'+e.message);
	});
}

// 检测是否安装支付服务
function checkServices(pc){
	if(!pc.serviceReady){
		var txt=null;
		switch(pc.id){
			case 'alipay':
			txt='检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？';
			break;
			default:
			txt='系统未安装“'+pc.description+'”服务，无法完成支付，是否立即安装？';
			break;
		}
		plus.nativeUI.confirm(txt, function(e){
			if(e.index==0){
				pc.installService();
			}
		}, pc.description);
	}
}

var w = null;

// 支付
function pay(order_sn){
	//console.log(order_sn);
	//order_sn = "CD11108102093";
	if(!order_sn){
		window.toast("订单出错");
	}
	if(w){return;}//检查是否请求订单中
	/* 暂时不支持apple支付
	if(id==='appleiap'){
		console.log('应用内支付');
		clicked('payment_iap.html');
		return;
	}
	*/
	var paytype;//支付方式
	paytype = document.querySelector(".order_way .active").getAttribute("paytype");
	console.log('----- 请求支付 -----' + paytype);
	
	if(paytype != 'alipay' && paytype != 'wxpay'){
		window.toast('当前环境不支持此支付通道！');
		return;
	}
	var appid = plus.runtime.appid;
	
	if(navigator.userAgent.indexOf('StreamApp')>=0){
		appid = 'Stream';
	}
	w = plus.nativeUI.showWaiting();
	
	//请求支付
	window.ajax({
				//url:window.urlmap('pay'),
				url:PAYSERVER,
				data:{
					order_sn:order_sn,
					paytype	:paytype
				}
			},function(json){
				w.close();w=null;
				var order = json.data.response || "";
				if(order == "" || order == null){
					window.toast('----- 订单为空 ----');
				}
				console.log(order);
				plus.payment.request(pays[paytype],order,function(result){
						window.toast('----- 支付成功 -----');
						console.log(JSON.stringify(result));
						//跳转到订单状态
						window.toLink('shop_detail_order_status.html?order_sn=' + order_sn);
					},function(e){
						window.toast('支付失败 ');
						console.log(JSON.stringify(e));
						//跳转到订单状态
						var currentview = plus.webview.currentWebview();
						if(currentview.id == 'shop_detail_order_status.html'){return;}
						window.toLink('shop_detail_order_status.html?order_sn=' + order_sn); 
					});
			}
	);
	
	/*
	// 请求支付订单
	var url=PAYSERVER + "?paytype="+paytype+"&order_sn="+order_sn+"&source=APP";	
	var xhr=new XMLHttpRequest();
	
	xhr.onreadystatechange=function(){
		switch(xhr.readyState){
			case 4:
			w.close();w=null;
			if(xhr.status==200){
				console.log('----- 请求订单成功 -----');
				console.log(url);
				var order=xhr.responseText;
				console.log(order);
				plus.payment.request(pays[paytype],order,function(result){
					window.toast('----- 支付成功 -----');
					console.log(JSON.stringify(result));
					//跳转到订单状态
					//window.toLink('shop_detail_order_status.html?order_sn=' + order_sn);
				},function(e){
					window.toast('支付失败 ');
					window.toast(JSON.stringify(e));
					console.log(JSON.stringify(e));
					//跳转到订单状态
					//window.toLink('shop_detail_order_status.html?order_sn=' + order_sn); 
				});
			}else{
				window.toast('获取订单信息失败！');
			}
			break;
			default:
			break;
		}
	}
	xhr.open('GET',url);
	console.log('请求支付订单：'+url);
	xhr.send();
	*/
}